using SQLite;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.OBJComponents.Server.Model
{
    /// <summary>
    /// 异常记录
    /// </summary>
    [Table("Error")]
    public class Db_Error:IDbBase
    {
        [Key]
        [Index]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 发生的时间
        /// </summary>
        [Time]//时间标记，用于删除数据 KeepDBSize
        [Index]
        [PropertyIndex(1)]
        public DateTime Time { get; set; }

        /// <summary>
        /// 异常代码
        /// </summary>
        [PropertyIndex(2)]
        public int ErrCode { get; set; }

        /// <summary>
        /// true=异常是发生了,false=异常关闭
        /// </summary>
        [PropertyIndex(3)]
        public bool IsOn { get; set; }

        /// <summary>
        /// 异常描述
        /// </summary>
        [PropertyIndex(4)]
        public string Descrption { get; set; }

        /// <summary>
        /// 附加信息
        /// </summary>
        [PropertyIndex(5)]
        public string Accessory { get; set; }
    }
}
